VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frm_ReadObjects 
   Caption         =   " Bitte warten..."
   ClientHeight    =   3810
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7995
   OleObjectBlob   =   "frm_ReadObjects.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frm_ReadObjects"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
    Option Explicit

Private Sub UserForm_Activate()
    
   'Prozess freigeben. Damit wird erreicht, dass die Prozedur, mit der die UserForm aufgerufen wurde,
   'weiter durchlaufen wird.
   
    DoEvents
    
End Sub

Private Sub cmdNext_Click()

   'Nachdem alle EMail-Objekte ausgelesen wurden, kann der User den Archivierungs-Prozess mit dem
   'CommandButton "Weiter" fortsetzen. Dieser Button kann erst benutzt werden, wenn der Prozess des
   'Auslesens beendet ist.
   
    Call Initialize_Archiving

End Sub

Private Sub cmdShow_Click()
    
   'Mit dem Klick Ereignis des CommandButtons "Anzeigen" wird ein selektiertes EMail-Objekt am Bild-
   'schirm angezeigt (geffnet). Dieses Ereignis kann vom User erst dann ausgefhrt werden, wenn alle
   'E-Mails ausgelesen wurden. Erst dann wird der Commandbutton aktiviert.
    
    Dim i As Long
    
   'Fehler-Routine initialisieren, falls EMail-Objekt nicht angezeigt werden kann.
    On Error GoTo Err_OpenMailItem
    
   'Prfen ob mind. 1 Item in der Listbox selektiert wurde.
    If listItems.ListIndex <> -1 Then
       'Schleife fr alle MailItems in der Listbox initialsieren.
        For i = 0 To listItems.ListCount - 1
           'Prfen ob das MailItem selektiert ist.
            If listItems.Selected(i) Then
               'Mit Hilfe der EntryID und StoreID nach dem EMail-Objekt suchen und anzeigen.
                Application.Session.GetItemFromID(ga_Mails(i + 1).sEntryID, _
                                                  ga_Mails(i + 1).sStoreID).Display
            End If
        Next i
    End If
    
    Exit Sub
    
Err_OpenMailItem:

   'Falls ein Laufzeitfehler generiert wurde, diesen mittels Messagebox anzeigen.
    Call Error_Msg(Err, "Das EMail-Objekt konnte nicht angezeigt werden!")
    
End Sub

Private Sub listItems_DblClick(ByVal Cancel As MSForms.ReturnBoolean)

   'Mit dem Doppelklick Ereignis der Listbox wird die gleiche Funktion ausgefhrt, wie beim Command-
   'button "Anzeigen". Dieses Ereignis kann vom User ebenfalls erst dann ausgefhrt werden, wenn alle
   'E-Mails ausgelesen wurden. Erst dann wird die Listbox entsperrt.
    
    Call cmdShow_Click

End Sub

Private Sub cmdCancel_Click()
    
   'Falls der User whrend der Ausfhrung des Prozesses auf "Abbrechen" klickt, wird 'gl_CANCEL' auf
   'True gesetzt. Falls ein anderer Prozess noch ausgefhrt wird, muss dieser zuerst beendet werden.
   'Daher wird die Unload Anweisung erst dann ausgefhrt, wenn alle Prozeduren beendet sind.
   
   'Prfen ob der Abbruch-Prozess bereits im Gange ist.
    If gl_Cancel <> Abort.Interrupted Then
        Call Cancel_Process(Me)
    End If
   
End Sub

Private Sub UserForm_QueryClose(Cancel As Integer, CloseMode As Integer)
    
   'Falls der User versucht die UserForm auf eine alternative Weise zu schliessen, zBsp. mit ALT + F4
   'oder mit dem Schliessen-Button, wird dies abgefangen. Damit wird erreicht, dass der User die UserForm
   'nur schliessen kann, wenn er dies mit der Messagebox (siehe Prozedur Cancel_Process) besttigt.
   
   'Prfen, ob der User versucht die UserForm zu schliessen.
    If CloseMode = vbFormControlMenu Then
       'Prfen ob der Abbruch-Prozess bereits im Gange ist.
        If gl_Cancel <> Abort.Interrupted Then
           'Prozedur fr die Besttigung des Users aufrufen.
            Call Cancel_Process(Me, Cancel)
        Else
           'Abbruch-Versuch zurcksetzen.
            Cancel = True
        End If
    End If
    
End Sub
